Draft Ellipse/zh-cn: Difference between revisions

From FreeCAD Documentation
(Created page with "==描述==")
(Created page with "椭圆工具会根据用户输入的两个点,在当前的工作平面内创建一个椭圆。该椭圆将恰好适配于这两个点所定义的矩形...")
Line 13: Line 13:
==描述==
==描述==


椭圆工具会根据用户输入的两个点,在当前的[[Draft SelectPlane|工作平面]]内创建一个椭圆。该椭圆将恰好适配于这两个点所定义的矩形盒中。另外,此工具将根据[[Draft Tray]]中的[[Draft Linestyle]]设置来绘制椭圆。
The Ellipse tool creates an ellipse in the current [[Draft SelectPlane|work plane]] by entering two points, defining the corners of a rectangular box in which the ellipse will fit. It uses the [[Draft Linestyle]] set on the [[Draft Tray]].


This tool can also be used to create elliptical arcs by specifying the start and end angles. To create circles and circular arcs use the [[Draft Circle]] and [[Draft Arc]] tools. You can also approximate an elliptical or circular arc using the [[Draft BSpline]] and [[Draft BezCurve]] tools.
This tool can also be used to create elliptical arcs by specifying the start and end angles. To create circles and circular arcs use the [[Draft Circle]] and [[Draft Arc]] tools. You can also approximate an elliptical or circular arc using the [[Draft BSpline]] and [[Draft BezCurve]] tools.

Revision as of 10:10, 28 July 2019

Draft Ellipse

Menu location
Draft → Ellipse
Workbenches
Draft, Arch
Default shortcut
E L
Introduced in version
0.7
See also
Draft Circle, Draft Arc

描述

椭圆工具会根据用户输入的两个点,在当前的工作平面内创建一个椭圆。该椭圆将恰好适配于这两个点所定义的矩形盒中。另外,此工具将根据Draft Tray中的Draft Linestyle设置来绘制椭圆。

This tool can also be used to create elliptical arcs by specifying the start and end angles. To create circles and circular arcs use the Draft Circle and Draft Arc tools. You can also approximate an elliptical or circular arc using the Draft BSpline and Draft BezCurve tools.

Ellipse defined by the rectangle corners

How to use

  1. Press the Draft Ellipse button, or press E then L keys.
  2. Click a first point on the 3D view, or type a coordinate and press the add point button.
  3. Click a second point on the 3D view, or type a coordinate and press the add point button.

The ellipse can be turned into an elliptical arc after creation, by setting its first angle and last angle properties to different values.

Options

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the add point button when you have the desired values to insert the point.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Ellipse tool will restart after you finish the shape, allowing you to draw another one without pressing the tool button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, the ellipse will create a filled face (数据Make Face true); if not, the ellipse will not make a face (数据Make Face false).
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Esc or the Close button to abort the current command.

Properties

An Ellipse object shares many properties with a Draft Circle, but some properties only make sense for the ellipse.

Data

  • 数据First Angle: specifies the angle of the first point of the ellipse; normally 0°.
  • 数据Last Angle: specifies the angle of the last point of the ellipse; normally 0°.
  • 数据Major Radius: specifies the major radius of the ellipse.
  • 数据Minor Radius: specifies the minor radius of the ellipse.
If the both radius have the same value, the ellipse looks the same as a Draft Circle.
  • 数据Make Face: specifies if the Ellipse makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object. This property only works if the shape is a full ellipse.
For it to be a full ellipse 数据First Angle and 数据Last Angle should have the same value; otherwise, an elliptical arc is displayed. The values 0° and 360° are considered the same.

View

  • 视图Pattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if 数据Make Face is true, and if 视图Display Mode is "Flat Lines".
  • 视图Pattern Size: specifies the size of the Draft Pattern.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Ellipse tool can by used in macros and from the Python console by using the following function:

Ellipse = makeEllipse(majradius, minradius, placement=None, face=True, support=None)
  • Creates an Ellipse object with given major (majradius) and minor (minradius) radius in millimeters.
    • The bigger value will be used for the major radius (X axis) if no other placement is given.
  • If a placement is given, it is used; otherwise the shape is created at the origin.
  • If face is True, the ellipse will make a face, that is, it will appear filled.

Example:

import FreeCAD, Draft

Ellipse1 =  Draft.makeEllipse(3000, 200)
Ellipse2 =  Draft.makeEllipse(700, 1000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Ellipse3 =  Draft.makeEllipse(700, 1000, placement=place3)